| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Types | Public Member Functions | Static Public Member Functions
Tp::FunctorCaller0< Functor, R > Struct Template Reference

`#include </home/collabora-devel/kde/src/telepathy-qt4/TelepathyQt/callbacks.h>`

Inherits Tp::BaseFunctorCaller< FunctorCaller0< Functor, R >, Functor >.

List of all members.

## Public Types

- typedef R ResultType
- typedef R(* InvokeType )(AbstractFunctorCaller *)

## Public Member Functions

- FunctorCaller0 (const Functor &functor)

## Static Public Member Functions

- static ResultType invoke (AbstractFunctorCaller *call)

### template<class Functor, class R>
struct Tp::FunctorCaller0< Functor, R >

## Member Typedef Documentation

template<class Functor , class R >

typedef R Tp::FunctorCaller0< Functor, R >::ResultType

template<class Functor , class R >

typedef R(* Tp::FunctorCaller0< Functor, R >::InvokeType)(AbstractFunctorCaller *)

## Constructor & Destructor Documentation

template<class Functor , class R >

Tp::FunctorCaller0< Functor, R >::FunctorCaller0 | ( | const Functor & | functor | ) | `[inline, explicit]`

## Member Function Documentation

template<class Functor , class R >

static ResultType Tp::FunctorCaller0< Functor, R >::invoke | ( | AbstractFunctorCaller * | call | ) | `[inline, static]`